/*	STCPIO Stealthy TCPIO Plugin for Back Orifice 2000
	Copyright (C) 1999-2000, Daniel Roethlisberger

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	The author of this program may be contacted at admin@roe.ch.
*/

#ifndef __MAIN_H
#define __MAIN_H

#include <windows.h>
#include <linkage.h>

// module identity
#define HANDLER_QUERY_STRING		"STCPIO: BO2K Stealthy TCP IO Module"
#define PL_PLUGIN_FILENAME			"io_stcpio.dll"
#define PL_PLUGIN_DESCRIPTION		"BO2K Stealthy TCP IO Module"
#define PL_PLUGIN_VERSION			21
#define PL_BO2K_VERSION				11
#define CONFIG_ENC					"Header Encryption"
#define CONFIG_PORT					"Default Port"

// global vars
extern PLUGIN_LINKAGE g_Link;
extern HINSTANCE g_hInstance;
extern BOOL g_bActive;
extern char g_szSTCPIOOptions[];
extern int g_nIOHandler;

#endif // __MAIN_H
